Bug 1416646 - installation guide tells to configure redundant offline repositories for sat6 and rhscl
Summary: installation guide tells to configure redundant offline repositories for sat6...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Install Guide
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Unspecified
Assignee: Stephen Wadeley
QA Contact: Lucie Jirakova
URL:
Whiteboard:
Depends On: 1349140
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 07:58 UTC by Evgeni Golov
Modified: 2019-09-26 14:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-27 13:57:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Evgeni Golov 2017-01-26 07:58:12 UTC
Document URL: 
https://access.redhat.com/documentation/en/red-hat-satellite/6.2/paged/installation-guide/chapter-3-installing-satellite-server

Section Number and Name: 
3.2.2. Configuring the Base System with Offline Repositories

Describe the issue:
This section describes to mount the RHELX-Server and the Satellite ISOs to two mountpoints and then to setup 3 new repo files in /etc/yum.repos.d: one for rhel, one for sat6 and one for rhscl.
However, only the rhel repo file is really needed, the sat6 and rhscl ones are created automatically by the "install_packages" script in step "3.2.3. Installing from the Offline Repositories".

Suggestions for improvement:
Remove the steps starting from " Copy the ISO file’s repository data file for the Red Hat Satellite Packages." until " Verify that the repositories have been configured.".
Update the listing for " Verify that the repositories have been configured. " to list only the RHEL Server repo.

Additional information:

Comment 1 Stephen Wadeley 2017-01-26 08:15:49 UTC
Hello

Thank you for raising this bug.

We are aware of the duplication however the current procedure does work and we are reluctant to change it until this bug is resolved:

Bug 1349140 - Remove install_packages from the Satellite installation ISOs

I will set that to block this bug.

Comment 4 Stephen Wadeley 2017-02-20 08:24:33 UTC
Hello

Rich Jerrido agrees the script can stay:
https://bugzilla.redhat.com/show_bug.cgi?id=1349140#c10

Comment 9 Stephen Wadeley 2017-02-27 13:57:43 UTC
Hello


These changes are now live on the customer portal:

Configuring the Base System with Offline Repositories

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html/installation_guide/installing_satellite_server#configuring_the_base_system_with_offline_repositories


Note You need to log in before you can comment on or make changes to this bug.